﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Diagnostics; // run

namespace Excel1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void BnExportInt_Click(object sender, EventArgs e)
        {
            CExport2EXCEL exportexcel = new CExport2EXCEL("bsp1.xls");
            exportexcel.openFile();
            exportexcel.Write(1, 2, 1234);   // col row int
            exportexcel.closeFile();
            Process Prog = new Process();
            Prog.StartInfo.FileName = "excel.exe";
            Prog.StartInfo.Arguments = "bsp1.xls";
            Prog.Start();   
        }

        private void BnExportDouble_Click(object sender, EventArgs e)
        {
            CExport2EXCEL exportexcel = new CExport2EXCEL("bsp2.xls");
            exportexcel.openFile();
            exportexcel.Write(1, 2, 1234.4567);   // col row double
            exportexcel.closeFile();
            Process Prog = new Process();
            Prog.StartInfo.FileName = "excel.exe";
            Prog.StartInfo.Arguments = "bsp2.xls";
            Prog.Start();
        }

        private void BnExportString_Click(object sender, EventArgs e)
        {
            CExport2EXCEL exportexcel = new CExport2EXCEL("bsp3.xls");
            exportexcel.openFile();
            exportexcel.Write(1, 2, "abcde");   // col row string
            exportexcel.Write(1, 3, "01.01.2010");   // col row hier sollte ein String, KEIN Datum erscheinen, Problem CSV-Format
            exportexcel.Write(1, 4, "01/01/2010");   // col row hier sollte ein String, KEIN Datum erscheinen, Problem CSV-Format
            exportexcel.closeFile();
            Process Prog = new Process();
            Prog.StartInfo.FileName = "excel.exe";
            Prog.StartInfo.Arguments = "bsp3.xls";
            Prog.Start();
        }

        private void BnExportAll_Click(object sender, EventArgs e)
        {
            CExport2EXCEL exportexcel = new CExport2EXCEL("bsp4.xls");
            exportexcel.openFile();
            exportexcel.Write(1, 2, 1234);   // col row int
            exportexcel.Write(1, 3, 3456);   // col row int
            exportexcel.Write(1, 4, 5678);   // col row int
            exportexcel.Write(2, 2, 1234.4567);   // col row double
            exportexcel.Write(2, 3, -234.5657);   // col row double
            exportexcel.Write(2, 4, 4567.7897);   // col row double

            exportexcel.Write(3, 2, "abcde");   // col row string
            exportexcel.Write(3, 3, "01.01.2010");   // col row hier sollte ein String, KEIN Datum erscheinen, Problem CSV-Format
            exportexcel.Write(3, 4, "01/01/2010");   // col row hier sollte ein String, KEIN Datum erscheinen, Problem CSV-Format

            exportexcel.Write(5, 0, "Name");  // col row
            exportexcel.Write(6, 0, "Integer");
            exportexcel.Write(7, 0, "Gehälter");  // Problem Unicode   ä
            int initValue = 123457;
            Random rand = new Random(initValue);
            for (int row = 1; row < 50; row++)
            {
                exportexcel.Write(5, row, "abc" + row.ToString());  // col row Value
                exportexcel.Write(6, row, (int)rand.Next(0, 1000));
                exportexcel.Write(7, row, (double)rand.Next(0, 100000) * 0.0012345);
            } // for            

            exportexcel.closeFile();
            Process Prog = new Process();
            Prog.StartInfo.FileName = "excel.exe";
            Prog.StartInfo.Arguments = "bsp4.xls";
            Prog.Start();
        }

    }
}
